Skip to main content
GET
/
v3
/
custom-segments
List Segments
curl --request GET \
  --url https://api-{dc}.moengage.com/v3/custom-segments \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'MOE-APPKEY: <moe-appkey>'
{ "data": [ { "name": "api_test_7", "id": "6388a97a02adb9071ca84ce9", "created_time": "2022-12-01T13:17:46.409000", "type": "ELASTIC_SEARCH", "source": "API" } ], "response_id": "WYanfieM", "type": "custom_segment" }

Documentation Index

Fetch the complete documentation index at: https://moengage.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

This API endpoint does not currently support Team-level scoping. All segments generated using this call will be assigned to the Default Team automatically.

Rate Limit

The rate limit is 50 request/minute, 200 requests/hour, and 1000 requests/day.

Authorizations

Authorization
string
header
required

Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.

  • Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
  • Password: Use your API Key, which you can find within the Data tile.

For more information on authentication and getting your credentials, refer here.

Headers

MOE-APPKEY
string
required

This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).

Query Parameters

name
string

The URL-encoded name of the segment to retrieve.

Response

Successful retrieval of segments. Returns a list of segments matching the query criteria. An empty list is returned if no segments match.

Response schema for listing segments.

data
object[]

Array of segments matching the query criteria.

response_id
string

A unique identifier for this API response.

type
string

The type of resource referenced in the response.

Example:

"custom_segment"